org.apache.poi.poifs.crypt

## Class DataSpaceMapUtils.TransformInfoHeader

- java.lang.Object
- - org.apache.poi.poifs.crypt.DataSpaceMapUtils.TransformInfoHeader

- All Implemented Interfaces:
    EncryptionRecord
  Enclosing class:
    DataSpaceMapUtils

      public static class DataSpaceMapUtils.TransformInfoHeader
      extends java.lang.Object
      implements EncryptionRecord

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformInfoHeader(int transformType, java.lang.String transformerId, java.lang.String transformerName, int readerVersionMajor, int readerVersionMinor, int updaterVersionMajor, int updaterVersionMinor, int writerVersionMajor, int writerVersionMinor)`
    `TransformInfoHeader(LittleEndianInput is)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(LittleEndianByteArrayOutputStream bos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformInfoHeader

          public TransformInfoHeader(int transformType,
                                     java.lang.String transformerId,
                                     java.lang.String transformerName,
                                     int readerVersionMajor,
                                     int readerVersionMinor,
                                     int updaterVersionMajor,
                                     int updaterVersionMinor,
                                     int writerVersionMajor,
                                     int writerVersionMinor)

    - #### TransformInfoHeader

          public TransformInfoHeader(LittleEndianInput is)

  - ### Method Detail

    - #### write

          public void write(LittleEndianByteArrayOutputStream bos)

      Specified by:
        `write` in interface `EncryptionRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.